> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # SQ_GetQueues POST https://api.voximplant.com/platform_api/SQ_GetQueues Gets the queue(s). **Example request:** Get all the queues. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/smartqueue/sq-get-queues ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, required) — Application ID to search by - `application_name` (string, optional) — Application name to search by. Can be used instead of **application_id** - `sq_queue_id` (list of integer, optional) — List of SmartQueue IDs separated by semicolons (;) - `sq_queue_name` (list of string, optional) — List of SmartQueue names separated by semicolons (;). Can be used instead of **sq_queue_id** - `sq_queue_name_template` (string, optional) — Substring of the SmartQueue name to filter - `user_id` (integer, optional) — ID of the user that is bound to the queue - `user_name` (string, optional) — Name of the user that is bound to the queue. Can be used instead of **user_id** - `excluded_user_id` (integer, optional) — ID of the user that is not bound to the queue - `excluded_user_name` (string, optional) — Name of the user that is not bound to the queue. Can be used instead of **excluded_user_id** - `count` (integer, optional, default: 20) — Number of items to show in the output - `offset` (integer, optional, default: 0) — Number of items to skip in the output - `with_agentcount` (boolean, optional, default: false) — Whether to include the number of agents bound to the queue ## Response ### 200 Successful response - `result` (list of GetSQQueuesResult, optional) — The found queue(s) - `total_count` (integer, optional) - `count` (integer, optional) ## Types ### GetSQQueuesResult The [SQ_GetQueues] function result. - `sq_queue_id` (integer, optional) — ID of the SmartQueue - `sq_queue_name` (string, optional) — Name of the SmartQueue - `hold_im_if_inactive_agents` (boolean, optional) — Whether the tasks are queued when there are no active agents - `agent_selection` (string, optional) — Agent selection strategy - `task_selection` (string, optional) — Strategy of prioritizing requests for service - `hold_calls_if_inactive_agents` (boolean, optional) — Whether the call task is kept in the queue if all agents are unavailable - `description` (string, optional) — Comment - `created` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. UTC date of the queue creation in 24-h format: YYYY-MM-DD HH:mm:ss - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. UTC date of the queue modification in 24-h format: YYYY-MM-DD HH:mm:ss - `call_max_waiting_time` (integer, optional, default: 120) — Maximum time in minutes that a CALL-type request can remain in the queue without being assigned to an agent in minutes. If the value has been passed in seconds, this field is also present in the answer, rounded to the bigger number - `call_max_waiting_time_in_seconds` (integer, optional) — Maximum time in minutes that a CALL-type request can remain in the queue without being assigned to an agent in seconds. If the value has been passed in minutes, this field is also present in the answer - `im_max_waiting_time` (integer, optional, default: 120) — Maximum time in minutes that an IM-type request can remain in the queue without being assigned to an agent in minutes. If the value has been passed in seconds, this field is also present in the answer, rounded to the bigger number - `im_max_waiting_time_in_seconds` (integer, optional) — Maximum time in minutes that an IM-type request can remain in the queue without being assigned to an agent in seconds. If the value has been passed in minutes, this field is also present in the answer - `call_max_queue_size` (integer, optional, default: 1000) — Maximum size of the queue with CALL-type requests - `im_max_queue_size` (integer, optional, default: 1000) — Maximum size of the queue with IM-type requests - `agentcount` (integer, optional) — Number of agents bound to the queue - `CALL` (GetSqQueuesResultCall, optional) - `IM` (GetSqQueuesResultIm, optional) - `call_agent_selection` (string, optional) - `priority` (integer, optional) - `im_task_selection` (string, optional) - `im_agent_selection` (string, optional) - `call_task_selection` (string, optional) ### GetSqQueuesResultCall - `task_selection` (string, optional) - `agent_selection` (string, optional) - `max_waiting_time` (integer, optional) - `max_queue_size` (integer, optional) - `max_waiting_time_in_seconds` (integer, optional) ### GetSqQueuesResultIm - `task_selection` (string, optional) - `agent_selection` (string, optional) - `max_waiting_time` (integer, optional) - `max_queue_size` (integer, optional) - `max_waiting_time_in_seconds` (integer, optional) ## Examples **Response** ```json { "result": [ { "sq_queue_id": 1611, "sq_queue_name": "First test queue", "created": "2022-10-10 11:46:52", "modified": "2023-07-19 08:17:35", "call_max_waiting_time": 120, "call_max_waiting_time_in_seconds": 7200, "im_max_waiting_time": 120, "im_max_waiting_time_in_seconds": 7200, "call_max_queue_size": 1000, "im_max_queue_size": 1000, "agentcount": 2, "CALL": { "task_selection": "MAX_WAITING_TIME", "agent_selection": "MOST_QUALIFIED", "max_waiting_time": 120, "max_queue_size": 1000, "max_waiting_time_in_seconds": 7200 }, "IM": { "task_selection": "MAX_WAITING_TIME", "agent_selection": "MOST_QUALIFIED", "max_waiting_time": 120, "max_queue_size": 1000, "max_waiting_time_in_seconds": 7200 }, "call_agent_selection": "MOST_QUALIFIED", "priority": 1, "im_task_selection": "MAX_WAITING_TIME", "im_agent_selection": "MOST_QUALIFIED", "call_task_selection": "MAX_WAITING_TIME" }, { "sq_queue_id": 7475, "sq_queue_name": "Fourth_queue", "description": "", "created": "2025-04-10 05:53:50", "modified": "2025-04-10 05:53:50", "call_max_waiting_time": 1, "call_max_waiting_time_in_seconds": 60, "im_max_waiting_time": 120, "im_max_waiting_time_in_seconds": 7200, "call_max_queue_size": 1000, "im_max_queue_size": 1000, "agentcount": 0, "CALL": { "task_selection": "MAX_WAITING_TIME", "agent_selection": "MOST_QUALIFIED", "max_waiting_time": 1, "max_queue_size": 1000, "max_waiting_time_in_seconds": 60 }, "IM": { "task_selection": "MAX_WAITING_TIME", "agent_selection": "MOST_QUALIFIED", "max_waiting_time": 120, "max_queue_size": 1000, "max_waiting_time_in_seconds": 7200 }, "call_agent_selection": "MOST_QUALIFIED", "priority": 1, "im_task_selection": "MAX_WAITING_TIME", "im_agent_selection": "MOST_QUALIFIED", "call_task_selection": "MAX_WAITING_TIME" }, { "sq_queue_id": 1617, "sq_queue_name": "Third queue", "created": "2022-10-17 10:09:36", "modified": "2022-10-17 10:09:36", "call_max_waiting_time": 120, "call_max_waiting_time_in_seconds": 7200, "im_max_waiting_time": 120, "im_max_waiting_time_in_seconds": 7200, "call_max_queue_size": 1000, "im_max_queue_size": 1000, "agentcount": 0, "CALL": { "task_selection": "MAX_WAITING_TIME", "agent_selection": "MOST_QUALIFIED", "max_waiting_time": 120, "max_queue_size": 1000, "max_waiting_time_in_seconds": 7200 }, "IM": { "task_selection": "MAX_WAITING_TIME", "agent_selection": "MOST_QUALIFIED", "max_waiting_time": 120, "max_queue_size": 1000, "max_waiting_time_in_seconds": 7200 }, "call_agent_selection": "MOST_QUALIFIED", "priority": 1, "im_task_selection": "MAX_WAITING_TIME", "im_agent_selection": "MOST_QUALIFIED", "call_task_selection": "MAX_WAITING_TIME" } ], "total_count": 3, "count": 3 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/SQ_GetQueues" querystring = {"application_id":"1"} headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1") .header("Authorization", "Bearer ") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```